API DocumentationElastic Servers
Pause elastic server
Pause auto-scaling for the pool (nodes will not be added or removed automatically while paused).
Authorization
bearer_auth AuthorizationBearer <token>
OAuth Authentication
OpenScaler API uses OAuth, a standard for secure authorization. To access the API, obtain a token via the OpenScaler Platform.
Use the access_token in the Authorization header for requests:
Authorization: Bearer <token>Always keep your token secure and do not share it with anyone.
In: header
Path Parameters
es_id*string
A unique identifier for an elastic server pool.
Format
uuidResponse Body
application/json
application/json
text/pain
application/json
application/json
curl -X PATCH "https://example.com/v1/elastic-servers/a1b2c3d4-e5f6-7890-abcd-ef1234567890/pause"null{ "errors": [ { "message": "'vcpus' field must be an integer", "field": "resource_id" } ]}"Access denied"{ "errors": [ { "message": "User not initialized (missing required fields in token), please init user by sending POST request to `/v1/init` then refresh your token\n" } ]}{ "errors": [ { "message": "VM with ID 23 not found" } ]}